# PlatformPlugin Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void PlatformPlugin()

### Constructor Properties

- prototype: The PlatformPlugin prototype object

### Prototype Object Properties

- String applicationName()
- QObject createBackend()
- AbstractMediaStream createMediaStream(QUrl url, QObject parent)
- DeviceAccessList deviceAccessListFor(AudioCaptureDevice arg__1)
- QIcon icon(String name)
- bool isMimeTypeAvailable(String mimeType)
- qreal loadVolume(String outputName)
- void notification(char notificationName, String text, List actions, QObject receiver, char actionSlot)
- List objectDescriptionIndexes(ObjectDescriptionType type)
- HashMap objectDescriptionProperties(ObjectDescriptionType type, int index)
- void saveVolume(String outputName, qreal volume)

### Instance Properties

PlatformPlugin objects have no special properties beyond those inherited from the PlatformPlugin prototype object.